cmake_minimum_required (VERSION 3.8)

# Add source to this project's executable.

file(GLOB SRCS "src/*.cpp")
file(GLOB_RECURSE HDRS "include/*.hh")


add_library(AppLib
  ${SRCS}
  ${HDRS}
)

target_include_directories(AppLib PUBLIC "${CMAKE_SOURCE_DIR}/AppLib/include/AppLib")

if (CMAKE_VERSION VERSION_GREATER 3.12)
  set_property(TARGET AppLib PROPERTY CXX_STANDARD 20)
endif()
